local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()

  disableMovement()
  makeUnskippable ()
  coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Curse Casual", "CC_Flamecrafter113_TemporalRift_RemixBroken"))

    choiceDialog({
        {
            "CC_Flamecrafter113_TemporalRift_RemixBroken_Yes",
            onChosen = function ()
                setFlag("OvertimeRemix", true)
                closeChoiceDialog()
            end
        },
        {
            "CC_Flamecrafter113_TemporalRift_RemixBroken_No",
            onChosen = function ()
                setFlag("OvertimeRemix", false)
                closeChoiceDialog()
            end
        }
    })
end

function onEnd()
  enableMovement()
end